Skip to main content
GET
/
transfers
Get Transfers
curl --request GET \
  --url https://api.inprocess.world/api/transfers
import requests

url = "https://api.inprocess.world/api/transfers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.inprocess.world/api/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transfers": [
    {
      "id": "3a803eeb-4089-4091-b6f2-d1c2b018e4d1",
      "transferred_at": "2026-02-14T11:46:25+00:00",
      "quantity": 1,
      "value": null,
      "currency": null,
      "transaction_hash": "0xda5f2c55cb20d77ac935ad132afc58c1bf0940927f9afc2991d87f2eaba1d2a6",
      "collector": {
        "address": "0xb5acded340d66678f01097818940a0f028dafb8d",
        "username": "sweetman"
      },
      "moment": {
        "token_id": 1,
        "collection": {
          "address": "0x297f21aac502571db2c7dbfd271e68dae7f2ce1e",
          "chain_id": 8453,
          "protocol": "in_process",
          "creator": "0x71ea0189673968499be6386f8febf37a7d3dacdc"
        },
        "metadata": {
          "name": "An example airdropped moment",
          "description": null,
          "image": "ar://example-image-hash",
          "animation_url": null,
          "content": {
            "mime": "audio/mp3"
          }
        }
      }
    }
  ],
  "pagination": {
    "total_count": 1,
    "page": 1,
    "limit": 20,
    "total_pages": 1
  }
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
Retrieve moment transfer records from the In•Process protocol. Use the type parameter to filter by transfer category:
type valueDescription
airdropAirdrops by the artist or collector
paymentMoment transfers completed via payment
(omitted)All transfer types

Query Parameters

type
enum<string>

Filter by transfer type. Omit to retrieve all transfer types. Use airdrop for airdrops, payment for moment transfers completed via payment.

Available options:
airdrop,
payment
artist
string

Filter by artist address (the creator of the collected moments)

Pattern: ^0x[a-fA-F0-9]{40}$
collector
string

Filter by collector address (the address that collected the moments)

Pattern: ^0x[a-fA-F0-9]{40}$
collection
string

Filter by collection contract address

Pattern: ^0x[a-fA-F0-9]{40}$
tokenId
integer

Filter by token ID within the specified collection

Required range: x >= 0
chainId
integer
default:8453

Filter by chain ID (default: Base, 8453)

content_type
string

Filter by MIME type category (e.g. audio, video, image). Used to construct a MIME pattern filter.

Example:

"audio"

limit
integer
default:20

Number of records per page (max: 100, default: 20)

Required range: 1 <= x <= 100
page
integer
default:1

The page number to retrieve (default: 1)

Required range: x >= 1

Response

Successful response

transfers
object[]
required

List of transfer records

pagination
object
required